POST gls/api/reports/income-statement-spread
Request Information
URI Parameters
None.
Body Parameters
IncomeStatementSpreadRequestDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Auxiliary | string |
None. |
|
| CutOffDateFrom | date |
None. |
|
| CutOffDateTo | date |
None. |
|
| OutputToScreen | boolean |
None. |
|
| OutputToPrinter | boolean |
None. |
|
| UserId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"auxiliary": "sample string 1",
"cutOffDateFrom": "2026-04-07T22:23:49.7652766+08:00",
"cutOffDateTo": "2026-04-07T22:23:49.7652766+08:00",
"outputToScreen": true,
"outputToPrinter": true,
"userId": 1
}
application/xml, text/xml
Sample:
<IncomeStatementSpreadRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CPCI.Reports.Services.DTO"> <Auxiliary>sample string 1</Auxiliary> <CutOffDateFrom>2026-04-07T22:23:49.7652766+08:00</CutOffDateFrom> <CutOffDateTo>2026-04-07T22:23:49.7652766+08:00</CutOffDateTo> <OutputToPrinter>true</OutputToPrinter> <OutputToScreen>true</OutputToScreen> <UserId>1</UserId> </IncomeStatementSpreadRequestDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.